AutoCAD .NET :: Select Object Command Prompt
Jun 4, 2012
I'm creating a VB.Net routine which will run the REVCLOUD command. In my application I prompt the user to select a single polyline using:
EntRslt = acDoc.Editor.GetEntity(EntOpts)
Then later I run the REVCLOUD command using:
acDoc.SendStringToExecute("_revcloud Object Poly No ", False, False, True)
Where Poly is the polyline I selected earlier. Of course, the line above doesn't work since "Poly" is interpreted as a string. But I would like to figure out how to pass my VB.Net selected Polyline into the REVCLOUD command.
How I might do this? The REVCLOUD command will not accept the "Previous" selection set so setting the Implied Selectoin does not work. If my Polyline was the Last object in the database I could use the "Last" option, but it isn't.
View 7 Replies
ADVERTISEMENT
Oct 26, 2011
In Quick Select command function, I want to use more properties value to select one type text or other object.
View 9 Replies
View Related
Mar 30, 2010
HOW DO YOU TURN THIS OFF????!!!!!!!
If you select an object and then drag it, it moves. This is without initiating the MOVE command and without picking any grips.
View 9 Replies
View Related
Mar 29, 2011
how can I open file acad.pgp from the command prompt, without going through menu Tools ---> Customize ---> Edit Program Parameters
View 9 Replies
View Related
Jun 13, 2013
My command prompt window position moved to top left corner. Want to move back to bottom left corner.
View 1 Replies
View Related
Oct 24, 2012
I've noticed this annoying trait in AutoCAD 2012 when drawing a polar array that I hadn't noticed in previous versions. I used to get stuck in a loop having to repeatedly enter the number of items in the array trying to get it to move on to the next command prompt of what angle of fill I required.
Example
CMD = Enter number of items or [Angle between/expression] <4>:
<Type in 20 and hit Return key>
CMD = Enter number of items or [Angle between/expression] <4>:
<Type in 20 and hit Return key>
CMD = Enter number of items or [Angle between/expression] <4>:
<Type in 20 and hit Return key>
Ad infinitum...
I then discovered that this only seems to happen when the cursor is left over the centre of the array you clicked on. But if it's moved to one side the correct command prompt follows the Return key. This isn't intuitive as you have to leave go of the mouse to input the required number at the keyboard, so it tends to be wherever you just clicked, and you end up in the pointless loop.
View 5 Replies
View Related
May 1, 2013
We (the entire office) haven't had this issue in 2012, but in all of our 2013 installations, this is occurring.
In 2012, several rows are displayed in the command prompt, say for example you do a distance command, there are two rows of text showing the information the user might want to see. It displays the first row of, distance, the angle in XY plane and the angle from XY plane. The second row displays the delta X, delta Y and delta Z.
In 2013, it only displays delta X, delta Y and delta Z. The user have to hit "F2" to invoke the "AutoCAD Text Window" to view the first line of text.
I hope there is a variable setting for this, and not an oversight by Autodesk.
View 7 Replies
View Related
May 16, 2012
I am getting this error message many times in my command promt.
** Glyph not defined at: U+0050.
Where I can download the font for this error? I searched in google, but I dont find it.
View 3 Replies
View Related
May 14, 2012
I have a macro which
1) checks to see if the active document is a drawing
2) Checks that the drawing is of a part
I want to prompt the user to select a view on the drawing, if this is not the first view on then a warning message is displayed.
Then I want to take this active view and change all of the geometry lines and holes EXCEPT for bend lines to a specific layer.
View 4 Replies
View Related
Aug 31, 2012
I'd like my macro to prompt the user to select a pipe network that I will then export to excel. How is this possible to achieve?
Using Building Design Suite Ultimate 2014
View 1 Replies
View Related
Nov 22, 2011
I am able in lisp to create a command prompt selection menu, easy (see code below).However what I want is for the lisp to be ready to undertake an action UNLESS I select an option.
An example is the offset command wich has a function ready to roll (namely the specify offset distance) "OR" I can interrupt the "specify offset distance" and enter one of the sub options (in the case of offset Through/ Erase/Layer).
My code attempts to offset also, UNLESS the user wishes to specify a distance.
(DEFUN C:loadoffset ();CREATING MENU FOR SUB COMMANDS [GETIT] [GOTIT]...(setq choose (getstring "
Select an option... [1=GET DIST] [2=GOTDIST]: "))(if (or (equal choose "1"))(GETIT))(if (or (equal choose "2"))(GOTIT));TERMINATING SELECTION MENU...)(defun getit ( gotit )(setq MYDIST (getdist "
SELECT A DISTANCE: "))(gotit))(defun gotit ()(command "_offset" MYDIST pause pause"exit"))
View 9 Replies
View Related
Aug 17, 2011
When you use shell command and type cmd, command prompt appears and the default location is My Documents. How can i change it to another directory by using only lisp?
View 9 Replies
View Related
Dec 13, 2012
I've been using AutoCAD 2013 Korean in Windows XP and Windows 7(32/64bit).
I have a question the command prompt.
The line have the name of layer : 0 (default layer)
I create another layer. It's unicode
And I will change name of layer 0 to 도면층1.
But I can not input unicode character to command prompt.
But It was changed from property dialog.
Can I input unicode character from command prompt?.
Previous version(AutoCAD 2008,2009,2010,2012) CAD worked well.
View 6 Replies
View Related
Mar 7, 2013
For some reason I now have to enter a path name at a command prompt in order to open another drawing. I also have the same situation when trying to attach a pdf or jpeg file to my drawing. how to revert back to the standard window of opening or attaching options?
View 1 Replies
View Related
Dec 6, 2012
I have a parent directory with x-amount of folders contained inside. I say X-amount because I would like to keep adding or deleting folders as time progresses. I want the folders contained within this parent directory do be read into a lisp variable and then be printed to the command prompt till every folder is displayed by name, then the loop may stop.
View 5 Replies
View Related
Feb 21, 2012
Is there a method available to have the plugin pause and wait for a user to click some object, then continue? Or does all user interaction have to happen before/after the plugin is run?
View 2 Replies
View Related
Nov 3, 2011
I'm running the following string in a routing that is looping so I get dozens of these prompts. How to supress these? Or, do i have to use to entmake?
(begin loop...
(command ".-Mtext" CSW-Tpoint "W" 0.0 (vl-filename-base (vla-get-imagefile image)) "")
);end loop
Prints to the command line..
Current text style: "Standard" Text height: 0.0833 Annotative: No
Current text style: "Standard" Text height: 0.0833 Annotative: No
Current text style: "Standard" Text height: 0.0833 Annotative: No
Current text style: "Standard" Text height: 0.0833 Annotative: No
View 3 Replies
View Related
Mar 13, 2009
I need to call the .js file through command prompt. And also through programming language like c++, java. This is for "illustrator cs".
View 5 Replies
View Related
Oct 5, 2013
Is there a way to allow user to select multiple files inside the file dialog using scripts? So not just something like "*.ai" or "*.eps" but where the user can actually use their shift key to select a batch of files inside the file dialog and then the script would process each one.
View 3 Replies
View Related
Jan 23, 2013
After closing and reopening my command prompt, I find that it is now at the bottom left of the screen and no longer part of the main graphics window. How can I get it to display at the bottom of the main display?
View 9 Replies
View Related
Oct 4, 2013
master im new in autocad 2014....i have a problem now when i select line or object it highlight or make a broken line....but when i select the other object or line my previous selected back to normal..i mean i can select only one line if i use single selecting....how to select all object or line with single select continuously, except using hold left click...
View 1 Replies
View Related
Jul 20, 2011
When I select an object and pan to make another selection the first object "deselects". The object(s) will stay selected until I pan and as soon as I start to pan the grips go away and the object(s) is deselected.
View 9 Replies
View Related
Oct 30, 2012
In general, we can select the objects first and then run a command. I have a problem with this, autocad wont let this in my PC. If i select objects and run a command, autocad wont take the selection and prompts to select objects. I work on PC in a company connected to server, but the problem is only on my PC.
View 6 Replies
View Related
Aug 30, 2012
I trying in max 2012 to select some object(object count 600)by select from sence option but this selection process is taking long time.
View 2 Replies
View Related
Feb 23, 2013
Is there any way to use the copy command in such a way that the new objects are selected when I'm done copying? Perhaps a LISP of some kind?
View 6 Replies
View Related
Sep 17, 2011
have to select an object under an artistic media brush object. i try hold down alt key when select the object under the artistic media object but it select the second object
View 2 Replies
View Related
Aug 11, 2013
How do I drag to select over the top of objects without selecting and moving the objects under the mouse when I begin the "drag to select" motion?
View 2 Replies
View Related
Jun 13, 2012
I want to hide all layers through scripting. Firstly I have to select all layers for the same.
So, what is the command to select all layers?
View 5 Replies
View Related
Jun 20, 2013
I am writing an add-in for Inventor 2010 where I need to get the list of entities/objects that are available through Inventor's "Select Other" functionality via the user Interface. I have looked through the list of selection tools in the API and none of them seem on the surface to be what I need.
View 3 Replies
View Related
Dec 18, 2012
We just started using autocad 2013 after many years on autocad 2005. I am working on a 3d model, and whenever I do a "HIDE" command, everything looks OK, but I can't select anything until I do a regen. This was never a problem in 2005. Some of the drawings I work on are quite intense and using the hide command would definitely work with selecting the proper objects. Why can't I select or find endpoints or centers any more after doing a hide?
View 1 Replies
View Related
Mar 13, 2012
How to use the command “select similar” to be applied on a selected part of the drawing? I wanted to use the “select similar” command to select all the columns for a particular drawing on the file but not in all the existing drawings. This is why I number obtained is 60 columns not 20!
Then how to choose the “window selection” in which the “select similar” command is applied?
View 9 Replies
View Related